import { IDefines } from '../defines/defines';
import { MagickFormat } from '../magick-format';
export declare class MagickSettings {
    format?: MagickFormat;
    getDefine(name: string): string;
    getDefine(format: MagickFormat, name: string): string;
    setDefine(name: string, value: string): void;
    setDefine(format: MagickFormat, name: string, value: string): void;
    setDefine(format: MagickFormat, name: string, value: number): void;
    setDefine(format: MagickFormat, name: string, value: boolean): void;
    setDefines(defines: IDefines): void;
    private parseDefine;
}
